vfs_permission
Prev | Other Functions | Next

## Name

vfs_permission — check for access rights to a given path

## Synopsis

`int vfs_permission (` | struct nameidata * | nd,
| int | mask`)`;

## Arguments

`nd`

  lookup result that describes the path

`mask`

  right to check for (`MAY_READ`, `MAY_WRITE`, `MAY_EXEC`)

## Description

Used to check for read/write/execute permissions on a path. We use “fsuid” for this, letting us set arbitrary permissions for filesystem access without changing the “normal” uids which are used for other things.

Prev | Up | Next
generic_permission | Home | file_permission